Subject: RE: [RRG] Renumbering...

From: Peter Sherbin <[email-masked]>
Date: Wed, 20 Aug 2008 08:49:41 -0700 (PDT)

> translation solution.  If we go down the map-n-encap path,
> it implies that we need a mapping solution that does not require
> aggregation of the identifier space.  So far, there aren't a lot of those on the table...

The obvious one is to split the adress in two parts giving flat ids to end users to own. That removes PI, re-numbering, NAT, etc. Why can't IANA manage that space? So far they were able to handle all other numbers.

As to the locator part here is a good quote from Scott:

"Yes, and we might have to have a hierarchy there as well.  However, that
hierarchy would be very stable (essentially no "churn"), would be very
shallow (a new layer only required after many years), and could use
radically different technology at different levels (so we're not locked in)."

--- On Tue, 8/19/08, Tony Li <[email-masked]> wrote:

> From: Tony Li <[email-masked]>
> Subject: RE: [RRG] Renumbering...
> To: "'Fleischman, Eric'" <[email-masked]>
> Cc: [email-masked]
> Date: Tuesday, August 19, 2008, 8:06 PM
> |Yes, that is my answer concerning readdressing and I would
> be very
> |shocked if any large end user would answer differently. 
> |However, the NAT
> |part of your summary is an assertion of yours that I
> don't buy 
> |into -- I
> |don't see any correlation between PI and NATs. They
> are independent
> |concepts.
> 
> 
> Simply this: if sites aren't willing to renumber, then
> the architecture
> needs to allow them to not renumber and still scale.  In
> the current
> architecture, that implies that sites would need NAT, or
> some similar
> translation solution.  If we go down the map-n-encap path,
> it implies that
> we need a mapping solution that does not require
> aggregation of the
> identifier space.  So far, there aren't a lot of those
> on the table, leaving
> us back at the translation solution.
> 
> Tony
> 
> 
> --
> to unsubscribe send a message to [email-masked] with
> the
> word 'unsubscribe' in a single line as the message
> text body.
> archive: <http://psg.com/lists/rrg/> &
> ftp://psg.com/pub/lists/rrg

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg